#!/usr/bin/env python

from htmltree import htmltree
import sys
import re

try:
    input = sys.argv[1]
except IndexError:
    sys.exit("%s <input_html>" % sys.argv[0])

f = open(input, "r")
html_text = f.read()
f.close()

t = htmltree.HTMLTree()
t.parse(html_text)

r = t.root()

titles = r.select_by_name2("head", "title")
if len(titles) > 0:
    for title in titles:
        for item in title:
            print item
            print item.text()

rn = htmltree.HTMLRenderer()
print rn.render(r)

t = r.get_element_by_id("htmltree")
print t.inner_html()
